Advertisement:

Author Topic: Probleme mit dem Paket-Manager...  (Read 193686 times)

Offline Rapster

  • Semi-Newbie
  • *
  • Posts: 12
  • Gender: Male
Re: Probleme mit dem Paket-Manager...
« Reply #40 on: August 11, 2007, 03:05:34 AM »
sry for doublepost, aber weiß wirklich niemand eine lösung?

Offline Rapster

  • Semi-Newbie
  • *
  • Posts: 12
  • Gender: Male
Re: Probleme mit dem Paket-Manager...
« Reply #41 on: September 04, 2007, 01:48:25 PM »
Entschuldigung, dass ich schon zum dritten mal hintereinander schreibe, aber das Problem, was ich auf der Seite vrher beschrieben habe besteht immernoch.
Kennt jemand von euch die Lösung des Problems? Wäre nett, wenn ich eine Antwort bekommen würde :)

MfG Rapster

PfalzNacht

  • Guest
Re: Probleme mit dem Paket-Manager...
« Reply #42 on: September 04, 2007, 02:05:06 PM »
Hi!

Die meisten Mods gehen nicht mit 1.1.3 (also sie gehen schon, aber in der install.xml muss man das angeben).

Also, Problemlösung:

1. entpacke den Mod

2. öffne die install.xml

3. suche dort nach <install for: xxx, xxxx> und <uninstall for: xxx, xxx> und schreibe einfach 1.1.3 dazu (abspeichern nicht vergessen  ;D)

4. packe die ganzen Daten wieder in ein Paket

5. versuche es nochmal, müsste eigentlich gehen.


Wenn es nicht geht, schick mir bitte mal DEINEN Mod, ich schau dann mal danach.


Achso, und beim Paket-Manager nicht vergessen bei den Optionen alles richtig einzustellen.  ;)

Offline Rapster

  • Semi-Newbie
  • *
  • Posts: 12
  • Gender: Male
Re: Probleme mit dem Paket-Manager...
« Reply #43 on: September 10, 2007, 02:20:09 PM »
dankeschön, das hat funktioniert :D

und danke, dass du dich gemeldet hast  ;)

Offline guitar123

  • Newbie
  • *
  • Posts: 2
Re: Probleme mit dem Paket-Manager...
« Reply #44 on: October 07, 2007, 10:20:21 AM »
Hallo Leute
Ich suche nun schon knapp eine Woche aber bis jetzt hat nicht wirklich etwas geklappt
Habe Version 1.1.4 safe mod passt auch
ich kann die packages hochladen
ftp daten verbinden
apply mod geht auch
dann klick ich auch install mod
es steht da das alles erfolgreich installiert ist (mit dem tmp und temp)
allerdings wird es nicht angezeigt weder bei installierte mods noch beim default template
Bitte um dringende Hilfe
Danke
alex
« Last Edit: October 07, 2007, 11:44:25 AM by guitar123 »

Offline Roman

  • Semi-Newbie
  • *
  • Posts: 37
  • Gender: Male
    • BV TU Chemnitz 99 II
Re: Probleme mit dem Paket-Manager...
« Reply #45 on: October 15, 2007, 05:24:38 AM »
wahrscheinlich sind die neuen funktionen nur in der engl. moddatei geändert.
1. Hilfe  eigenes Profil auf englisch umstellen
2. Hilfe  im "languages" Ordner die Modifications.english.php datei übersetzen und in die deutsche Datei einfügen

Offline GammaGandalf

  • Semi-Newbie
  • *
  • Posts: 14
  • Gender: Male
    • schraubergott.de
Re: Probleme mit dem Paket-Manager...
« Reply #46 on: October 17, 2007, 10:42:45 AM »
Hallo alle miteinander
Ich habe auch ein Problem mit dm Paket Manager
Vielleicht hat ja wer eine Lösung für mich
Also ich hatte die version 1.13 und habe das update gebacht auf1.14
bei dr ersten version 1.13 ging der manager noch  jetzt nach dem update habe ich nur noch eine weiße seite
wäre schön wenn mir wer sagen kann wie ich das wieder hin bekomme

Offline Joerg

  • Semi-Newbie
  • *
  • Posts: 11
  • Gender: Male
  • Leben und leben lassen
    • Diabetesinfo - DIE Seiten für interessierte Diabetiker
Re: Probleme mit dem Paket-Manager...
« Reply #47 on: December 08, 2007, 05:53:54 PM »
Habe Version 1.1.4 safe mod passt auch
ich kann die packages hochladen
ftp daten verbinden
apply mod geht auch
dann klick ich auch install mod
es steht da das alles erfolgreich installiert ist (mit dem tmp und temp)
allerdings wird es nicht angezeigt weder bei installierte mods noch beim default template

Selbes Problem bei mir. Es scheint, als würden die CHMODs nicht geändert. Bei einem anderen Forum, daß ich neulich neu installiert habe (selber Hoster (All-inkl)) hat es neulich perfekt geklappt. Deswegen habe ich die index.php, das Source- und das Theme-Dir von dort rüberkopiert und das hat mit ein bißchen Gefummel auch geklappt.

Trotzdem würde ich lieber mit dem Paketmanager arbeiten... :-\

Einziger Unterschied: das eine Forum (bei dem alles geklappt hat) war ein reiner Neuinstall, das andere erst ein Upgrade. Nachdem es mit dem Upgrade nicht ging habe ich ein Neuinstall gemacht und dann die alte DB drübergezogen. Aber auch das hat nicht geholfen. Kann da irgendwas in der DB das Ausführen von CHMOD-Änderungen verhindern?

Viele Grüße
Jörg
Viele Grüße
Jörg

Offline christian_thomas

  • Newbie
  • *
  • Posts: 7
Re: Probleme mit dem Paket-Manager...
« Reply #48 on: January 03, 2008, 03:38:50 AM »
Kann da irgendwas in der DB das Ausführen von CHMOD-Änderungen verhindern?

Viele Grüße
Jörg

Hallo Jörg,

chmod ist ein Unix-Befehl, der, wenn unter Unix die richtigen Rechte in der richtigen Reihenfolge vergeben wurden, auch von einem phpscript (z.B. SMF) aus ausgeführt werden kann.

Es wäre demnach möglich, daß Du als ftp-user (user-ID z. B. 10500) mit Deinem ftp-Programm das Recht hast, den chmod-Befehl auszuführen (geht auch nicht anders, weil Du ja sonst Deinen Webspace nicht verwenden könntest), der Benutzer apache (Dein Webserver, der php ausführt) jedoch z.B. eine User-ID 35 hat - und der User mit der ID 35 darf den Chmod-Befehl halt nicht ausführen.

Das hat etwas mit der Konfiguration des Servers durch Deinen Provider zu tun.

Ich z.B. hoste meine Seiten auf meinen eigenen Servern, bin dort User root und habe alle Rechte bzw. kann diese passend einstellen.

Offline Joerg

  • Semi-Newbie
  • *
  • Posts: 11
  • Gender: Male
  • Leben und leben lassen
    • Diabetesinfo - DIE Seiten für interessierte Diabetiker
Re: Probleme mit dem Paket-Manager...
« Reply #49 on: January 03, 2008, 06:05:18 AM »
Das hat etwas mit der Konfiguration des Servers durch Deinen Provider zu tun.

Ja, aber trotzdem merkwürdig, daß es auf der einen Subdomain funktioniert und auf der anderen nicht (obwohl beide auf demselben Server lagen. (Bin jetzt mit meinem Webspace auf einen anderen Server mit weniger Last umgezogen, mal sehen ob es da besser geht...)

Ich werd dann einfach beim nächsten Mod probieren wie das aussieht, wenn ich die Rechte explizit auf den Webspace übertrage
Viele Grüße
Jörg

Offline brainiac

  • Semi-Newbie
  • *
  • Posts: 71
Re: Probleme mit dem Paket-Manager...
« Reply #50 on: January 03, 2008, 01:05:05 PM »
ich wollte ein neues mod installieren (invite) aber es klappt net.
könnte ein Supporter oder so mir helfen?
www.blue-wiki.de.ki
ich hab mehrere SMF foren, aber die mods kapier ich net...

Offline Rapster

  • Semi-Newbie
  • *
  • Posts: 12
  • Gender: Male
Re: Probleme mit dem Paket-Manager...
« Reply #51 on: January 20, 2008, 10:46:59 AM »
beschreibe dein problem doch mal etwas genauer  ;)

Offline OSNA71

  • Newbie
  • *
  • Posts: 4
  • Gender: Male
Re: Probleme mit dem Paket-Manager...
« Reply #52 on: January 23, 2008, 11:58:12 PM »
Ich kann mich dem ganzen nur anschließen. Kann keine Mods installieren. Hochladen funktioniert aber kein "Modifikation anwenden". Da kommt dann die Fehlermeldung >>>

Die Installation dieses Paketes führt folgende Aktionen aus:

    Typ                                Aktion         Beschreibung

1.    Modifikation ausführen    install.xml    Modifikation Parse-Error
2.    Modifikation ausführen    -                Modifikation Parse-Error

Sollte ich dann auf installieren gehen, erscheint eine weiße Seite.
Ist die aktuellste Version 1.1.4

Offline hadi100

  • Semi-Newbie
  • *
  • Posts: 10
Re: Probleme mit dem Paket-Manager...
« Reply #53 on: February 05, 2008, 06:37:11 AM »
Hallo, ich wollte heute mine Galerie Pro installieren und nun kommt die Fehlermedlung Modifikation Parse-Error und wenn ich oben auf den Button Galerie gehe dann kommt "kann das Main Template nicht laden "

woran kann das liegen? gibts da eine Abhilfe??

Habe die Version 1.1.4

Offline Cedric Loup

  • Newbie
  • *
  • Posts: 4
Re: Probleme mit dem Paket-Manager...
« Reply #54 on: February 24, 2008, 08:18:55 AM »
Hallo Zusammen

Sollte das Installieren mit dem Paket-Manager nicht funkionieren, probiert bitte folgendes aus:

Erstellt im Ordner "Packages" zwei neue Ordner mit den Namen "tmp" und "temp". Als Attribute (CHMOD) müssen beide 666 haben. Ihr solltet unabhängig davon natürlich auch prüfen, ob die Dateien bzw. Ordner der zu überschreibenden Dateien ebenfalls das Attribut 777 haben (oder 755, 666 versuchen), da sonst keine Datei verändert werden kann!
Danke erst mal für den Tip.
Komisch aber, ich hatte mir die zwei Ordner angelegt tmp und temp.
Als ich danach die Rechte auf 666 geändert hatte, waren diese zwei Verzeichnisse weg und ein erneutes Anlegen geht nicht mehr.
Hier die Fehlermeldung:  Error: Could not make directory tmp

Danke für weitere tips.

Gruss Cedric

Offline Kajol

  • Jr. Member
  • **
  • Posts: 166
  • Aal izz well!
Re: Probleme mit dem Paket-Manager...
« Reply #55 on: March 22, 2008, 10:05:02 AM »
Ich habe auch mal wieder dieses Problem mit dem Paketmanager. Ich habe schon geschaut.  Safe_mode ist auf der Local Value off aber auf dem Master Value ist es on. Register_globals habe ich auch gleich nochmal geguckt. da ist es bei beidem off.

Ich bekomme immer die Anfrage, dass die FTP-Informationen benötigt würden. Ich habe alles nötige auf Rechte 777 gestellt, aber es ändert nichts. Wenn ich dann die FTP-Daten eintrage, scheint es zu gehen, aber dann bekomme ich nur die selbe Seite nochmal, auf der ich wieder nach den FTP-Informationen gefragt werde. Keine Fehler oder so.

Dann habe ich jetzt mal eine mod-zip entpackt und manuell auf den Server gespielt. Dann bin ich in den Paketmanager gegangen. Das mod wird angezeigt mit der Option "Modifikation anwenden". Okay, mach ich das mal. Aber siehe da, ich werde wieder nach den FTP-Informationen gefragt.

Ich habe mittlerweile keinen Schimmer mehr, was wo wie eingestellt werden soll, damit es problemlos funktioniert. Die SMF-Updates kann man ja bequem manuell installieren, aber bei mods und so, ist es schon nervig wenn es nie geht.

Ich nutze SMF 1.1.4
Ist es eigentlich Non-Canon, dass Non-Canon nicht Canon ist, weil Canon nicht in Non-Canon Büchern sein darf, oder ist das Canon....?

Offline Talliostro

  • Semi-Newbie
  • *
  • Posts: 12
Re: Probleme mit dem Paket-Manager...
« Reply #56 on: March 24, 2008, 03:46:50 AM »
Morgen,

tja ich hab auch ein Problem mit dem Paket Manager und dem SMF 1.1.4...
also:
Original Mod (StickyFirstPost 1.3.2) lässt sich hochladen, installieren und deinstallieren ohne Probleme.

Wenn ich jetzt aber innerhalb der mod die install 1.1 ändere (ich ändere dabei den Ordner "Babylon" auf den Customtheme Ordner), damit der Mod auch mit meinem Custom Theme (umgefärbtes Babylon Theme im eigenen Ordner) läuft und dann das ganze wieder zusammenpacke, muckt der Paketmanager mit:
"Das Paket ist ungültig oder kaputt"

Kapier ich net, weil ich ja eigentlich nichts geändert habe in dem Sinne, bis auf den Installpfad der template dateien.
Hilfe

Offline Candela

  • Newbie
  • *
  • Posts: 3
Re: Probleme mit dem Paket-Manager...
« Reply #57 on: November 09, 2008, 03:59:14 PM »
Ich versuche gerade über den PaketManager ein Mod hochzuladen.

Da kriege ich folgende Fehlermeldung:
"Sitzungs-Check fehlgeschlagen. Bitte loggen Sie sich aus und versuchen Sie es erneut."

So, keine Ahnung habe ich eine Menge.
Dieser Anweisung mit ausloggen und neu machen habe ich ausprobiert und lande wieder bei der Meldung.
Bisschen googlen hat ergeben, dass es wohl am Passwort liegen soll. Ist Quatsch, Passwort hab ich für den Adminbereich ausgeschalten. Außerdem ist das Problem sowohl im FF als auch im IE vorhanden.

Was kann ich machen?

Offline Zipclaw

  • Semi-Newbie
  • *
  • Posts: 29
  • Gender: Male
Re: Probleme mit dem Paket-Manager...
« Reply #58 on: November 11, 2008, 03:35:44 AM »
Ich versuche gerade über den PaketManager ein Mod hochzuladen.

Da kriege ich folgende Fehlermeldung:
"Sitzungs-Check fehlgeschlagen. Bitte loggen Sie sich aus und versuchen Sie es erneut."

So, keine Ahnung habe ich eine Menge.
Dieser Anweisung mit ausloggen und neu machen habe ich ausprobiert und lande wieder bei der Meldung.
Bisschen googlen hat ergeben, dass es wohl am Passwort liegen soll. Ist Quatsch, Passwort hab ich für den Adminbereich ausgeschalten. Außerdem ist das Problem sowohl im FF als auch im IE vorhanden.

Was kann ich machen?

Das gleiche Problem habe ich auch: Kann keine Mods installieren

Habe SMF auf meinem Webspace installiert, um es für einen notwendigen Wechsel weg von phpBB2 Plus vorzubereiten. Doch solange ich keine Modifikationen installieren kann, komme ich vorerst damit nicht weiter.

Offline Horseman

  • Full Member
  • ***
  • Posts: 478
  • Gender: Male
  • 'MAS VALE CABALLO QUE CAUDAL!'
    • H&H Community - die Große Deutsche Reitercommunity
Re: Probleme mit dem Paket-Manager...
« Reply #59 on: December 29, 2008, 06:11:26 AM »
Ich habe ein anderes Problem mit dem Paketmanager.
Jedesmal wenn ich ein Paket installieren möchte meldet mir SMF das der Sitzungscheck fehlgeschlagen ist.
Ich kann als Admin alles machen, nur eben keine Pakete installieren. Woran könnte das liegen?
PS: Ich kann meine pho.ini, wenn es daran liegen sollte selber anpassen das Rooti.

Gruß
Horseman
Gruß Horseman
______________________________________________________

PhpOpenChat Support Portal: http://www.phpopenchat.de